List the authenticated tenant's AI extraction recipes

Returns recipes owned by the API key's tenant, including each active version and its field schema.

GET
/api/v1/data/recipes

Returns recipes owned by the API key's tenant, including each active version and its field schema.

Authorization

headerX-API-Key<token>

Query Parameters

limit?integer

Page size.

Range1 <= value <= 100
Default20
offset?integer

Zero-based page offset.

Range0 <= value <= 10000
Default0

Response Body

Paginated list of tenant-owned AI extraction recipes. Error body uses the documented PublicError DTO.

application/json
  1. response
total*integer
Range0 <= value
limit*integer
Range1 <= value
offset*integer
Range0 <= value
has_more*boolean
items*array<>
curl -X GET 'https://api.runharvester.com/api/v1/data/recipes' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}